Cloo 0.9.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions
Cloo.ComputeObject Class Reference

Represents an OpenCL object. More...

Inheritance diagram for Cloo.ComputeObject:

List of all members.

## Public Member Functions
override bool | Equals (object obj)
| Checks if the ComputeObject is equal to a specified ComputeObject cast to an `object`.
bool | Equals (ComputeObject obj)
| Checks if the ComputeObject is equal to a specified ComputeObject.
override int | GetHashCode ()
| Gets the hash code of the ComputeObject.
override string | ToString ()
| Gets the string representation of the ComputeObject.
## Static Public Member Functions
static new bool | Equals (object objA, object objB)
| Checks if two `object`s are equal. These `object`s must be cast from ComputeObjects.
## Protected Member Functions
QueriedType[] | GetArrayInfo< HandleType, InfoType, QueriedType > (HandleType handle, InfoType paramName, GetInfoDelegate< HandleType, InfoType > getInfoDelegate)
QueriedType[] | GetArrayInfo< MainHandleType, SecondHandleType, InfoType, QueriedType > (MainHandleType mainHandle, SecondHandleType secondHandle, InfoType paramName, GetInfoDelegateEx< MainHandleType, SecondHandleType, InfoType > getInfoDelegate)
bool | GetBoolInfo< HandleType, InfoType > (HandleType handle, InfoType paramName, GetInfoDelegate< HandleType, InfoType > getInfoDelegate)
QueriedType | GetInfo< HandleType, InfoType, QueriedType > (HandleType handle, InfoType paramName, GetInfoDelegate< HandleType, InfoType > getInfoDelegate)
QueriedType | GetInfo< MainHandleType, SecondHandleType, InfoType, QueriedType > (MainHandleType mainHandle, SecondHandleType secondHandle, InfoType paramName, GetInfoDelegateEx< MainHandleType, SecondHandleType, InfoType > getInfoDelegate)
string | GetStringInfo< HandleType, InfoType > (HandleType handle, InfoType paramName, GetInfoDelegate< HandleType, InfoType > getInfoDelegate)
string | GetStringInfo< MainHandleType, SecondHandleType, InfoType > (MainHandleType mainHandle, SecondHandleType secondHandle, InfoType paramName, GetInfoDelegateEx< MainHandleType, SecondHandleType, InfoType > getInfoDelegate)
void | SetID (IntPtr id)
delegate ComputeErrorCode | GetInfoDelegate< HandleType, InfoType > (HandleType objectHandle, InfoType paramName, IntPtr paramValueSize, IntPtr paramValue, out IntPtr paramValueSizeRet)
delegate ComputeErrorCode | GetInfoDelegateEx< MainHandleType, SecondHandleType, InfoType > (MainHandleType mainObjectHandle, SecondHandleType secondaryObjectHandle, InfoType paramName, IntPtr paramValueSize, IntPtr paramValue, out IntPtr paramValueSizeRet)

## Detailed Description

Represents an OpenCL object.

An OpenCL object is an object that is identified by its handle in the OpenCL environment.

## Member Function Documentation

static new bool Cloo.ComputeObject.Equals | ( | object | objA,
|  | object | objB
| ) |  | `[static]`

Checks if two `object`s are equal. These `object`s must be cast from ComputeObjects.

Parameters:

  objA | The first `object` to compare.
  objB | The second `object` to compare.

Returns:
  `true` if the `object`s are equal otherwise `false`.

override bool Cloo.ComputeObject.Equals | ( | object | obj | ) |

Checks if the ComputeObject is equal to a specified ComputeObject cast to an `object`.

Parameters:

  obj | The specified `object` to compare the ComputeObject with.

Returns:
  `true` if the ComputeObject is equal with obj otherwise `false`.

bool Cloo.ComputeObject.Equals | ( | ComputeObject | obj | ) |

Checks if the ComputeObject is equal to a specified ComputeObject.

Parameters:

  obj | The specified ComputeObject to compare the ComputeObject with.

Returns:
  `true` if the ComputeObject is equal with obj otherwise `false`.

QueriedType [] Cloo.ComputeObject.GetArrayInfo< HandleType, InfoType, QueriedType > | ( | HandleType | handle,
|  | InfoType | paramName,
|  | GetInfoDelegate< HandleType, InfoType > | getInfoDelegate
| ) |  | `[protected]`

Template Parameters:

  HandleType |
  InfoType |
  QueriedType |

Parameters:

  handle |
  paramName |
  getInfoDelegate |

Returns:

QueriedType [] Cloo.ComputeObject.GetArrayInfo< MainHandleType, SecondHandleType, InfoType, QueriedType > | ( | MainHandleType | mainHandle,
|  | SecondHandleType | secondHandle,
|  | InfoType | paramName,
|  | GetInfoDelegateEx< MainHandleType, SecondHandleType, InfoType > | getInfoDelegate
| ) |  | `[protected]`

Template Parameters:

  MainHandleType |
  SecondHandleType |
  InfoType |
  QueriedType |

Parameters:

  mainHandle |
  secondHandle |
  paramName |
  getInfoDelegate |

Returns:

bool Cloo.ComputeObject.GetBoolInfo< HandleType, InfoType > | ( | HandleType | handle,
|  | InfoType | paramName,
|  | GetInfoDelegate< HandleType, InfoType > | getInfoDelegate
| ) |  | `[protected]`

Template Parameters:

  HandleType |
  InfoType |

Parameters:

  handle |
  paramName |
  getInfoDelegate |

Returns:

override int Cloo.ComputeObject.GetHashCode | ( |  | ) |

Gets the hash code of the ComputeObject.

Returns:
  The hash code of the ComputeObject.

QueriedType Cloo.ComputeObject.GetInfo< HandleType, InfoType, QueriedType > | ( | HandleType | handle,
|  | InfoType | paramName,
|  | GetInfoDelegate< HandleType, InfoType > | getInfoDelegate
| ) |  | `[protected]`

Template Parameters:

  HandleType |
  InfoType |
  QueriedType |

Parameters:

  handle |
  paramName |
  getInfoDelegate |

Returns:

Type Constraints

  QueriedType | : | struct |

QueriedType Cloo.ComputeObject.GetInfo< MainHandleType, SecondHandleType, InfoType, QueriedType > | ( | MainHandleType | mainHandle,
|  | SecondHandleType | secondHandle,
|  | InfoType | paramName,
|  | GetInfoDelegateEx< MainHandleType, SecondHandleType, InfoType > | getInfoDelegate
| ) |  | `[protected]`

Template Parameters:

  MainHandleType |
  SecondHandleType |
  InfoType |
  QueriedType |

Parameters:

  mainHandle |
  secondHandle |
  paramName |
  getInfoDelegate |

Returns:

Type Constraints

  QueriedType | : | struct |

delegate ComputeErrorCode Cloo.ComputeObject.GetInfoDelegate< HandleType, InfoType > | ( | HandleType | objectHandle,
|  | InfoType | paramName,
|  | IntPtr | paramValueSize,
|  | IntPtr | paramValue,
|  | out IntPtr | paramValueSizeRet
| ) |  | `[protected]`

Template Parameters:

  HandleType |
  InfoType |

Parameters:

  objectHandle |
  paramName |
  paramValueSize |
  paramValue |
  paramValueSizeRet |

Returns:

delegate ComputeErrorCode Cloo.ComputeObject.GetInfoDelegateEx< MainHandleType, SecondHandleType, InfoType > | ( | MainHandleType | mainObjectHandle,
|  | SecondHandleType | secondaryObjectHandle,
|  | InfoType | paramName,
|  | IntPtr | paramValueSize,
|  | IntPtr | paramValue,
|  | out IntPtr | paramValueSizeRet
| ) |  | `[protected]`

Template Parameters:

  MainHandleType |
  SecondHandleType |
  InfoType |

Parameters:

  mainObjectHandle |
  secondaryObjectHandle |
  paramName |
  paramValueSize |
  paramValue |
  paramValueSizeRet |

Returns:

string Cloo.ComputeObject.GetStringInfo< HandleType, InfoType > | ( | HandleType | handle,
|  | InfoType | paramName,
|  | GetInfoDelegate< HandleType, InfoType > | getInfoDelegate
| ) |  | `[protected]`

Template Parameters:

  HandleType |
  InfoType |

Parameters:

  handle |
  paramName |
  getInfoDelegate |

Returns:

string Cloo.ComputeObject.GetStringInfo< MainHandleType, SecondHandleType, InfoType > | ( | MainHandleType | mainHandle,
|  | SecondHandleType | secondHandle,
|  | InfoType | paramName,
|  | GetInfoDelegateEx< MainHandleType, SecondHandleType, InfoType > | getInfoDelegate
| ) |  | `[protected]`

Template Parameters:

  MainHandleType |
  SecondHandleType |
  InfoType |

Parameters:

  mainHandle |
  secondHandle |
  paramName |
  getInfoDelegate |

Returns:

void Cloo.ComputeObject.SetID | ( | IntPtr | id | ) | `[protected]`

Parameters:

  id |

override string Cloo.ComputeObject.ToString | ( |  | ) |

Gets the string representation of the ComputeObject.

Returns:
  The string representation of the ComputeObject.

The documentation for this class was generated from the following file:

- Cloo/Source/ComputeObject.cs